<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.account.web.internal.portlet.CommerceAccountPortlet" enabled="false" immediate="true" activate="activate" modified="activate" configuration-pid="com.liferay.users.admin.configuration.UserFileUploadsConfiguration">
  <property name="com.liferay.fragment.entry.processor.portlet.alias" type="String" value="commerce-account-portlet"/>
  <property name="com.liferay.portlet.add-default-resource" type="String" value="true"/>
  <property name="com.liferay.portlet.autopropagated-parameters" type="String" value="commerceAccountId"/>
  <property name="com.liferay.portlet.css-class-wrapper" type="String" value="portlet-commerce-account-admin"/>
  <property name="com.liferay.portlet.display-category" type="String" value="commerce"/>
  <property name="com.liferay.portlet.header-portlet-css" type="String" value="/css/main.css"/>
  <property name="com.liferay.portlet.layout-cacheable" type="String" value="false"/>
  <property name="com.liferay.portlet.preferences-owned-by-group" type="String" value="true"/>
  <property name="com.liferay.portlet.preferences-unique-per-layout" type="String" value="false"/>
  <property name="com.liferay.portlet.private-request-attributes" type="String" value="false"/>
  <property name="com.liferay.portlet.private-session-attributes" type="String" value="false"/>
  <property name="com.liferay.portlet.render-weight" type="String" value="50"/>
  <property name="com.liferay.portlet.scopeable" type="String" value="true"/>
  <property name="javax.portlet.display-name" type="String" value="Accounts"/>
  <property name="javax.portlet.expiration-cache" type="String" value="0"/>
  <property name="javax.portlet.init-param.view-template" type="String" value="/view.jsp"/>
  <property name="javax.portlet.name" type="String" value="com_liferay_commerce_account_web_internal_portlet_CommerceAccountPortlet"/>
  <property name="javax.portlet.resource-bundle" type="String" value="content.Language"/>
  <property name="javax.portlet.security-role-ref" type="String" value="power-user,user"/>
  <service>
    <provide interface="com.liferay.commerce.account.web.internal.portlet.CommerceAccountPortlet"/>
    <provide interface="javax.portlet.Portlet"/>
  </service>
  <reference name="_commerceAccountService" interface="com.liferay.commerce.account.service.CommerceAccountService" field="_commerceAccountService"/>
  <reference name="_commerceAddressService" interface="com.liferay.commerce.service.CommerceAddressService" field="_commerceAddressService"/>
  <reference name="_commerceCountryService" interface="com.liferay.commerce.service.CommerceCountryService" field="_commerceCountryService"/>
  <reference name="_commerceRegionService" interface="com.liferay.commerce.service.CommerceRegionService" field="_commerceRegionService"/>
  <reference name="_configurationProvider" interface="com.liferay.portal.kernel.module.configuration.ConfigurationProvider" field="_configurationProvider"/>
  <reference name="_modelResourcePermission" interface="com.liferay.portal.kernel.security.permission.resource.ModelResourcePermission" target="(model.class.name=com.liferay.commerce.account.model.CommerceAccount)" field="_modelResourcePermission"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_userLocalService" interface="com.liferay.portal.kernel.service.UserLocalService" field="_userLocalService"/>
  <implementation class="com.liferay.commerce.account.web.internal.portlet.CommerceAccountPortlet"/>
</scr:component>
